Bug 957002 - pmchart time controls usability issue
Summary: pmchart time controls usability issue
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pcp-gui
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-26 07:46 UTC by Marko Myllynen
Modified: 2013-11-11 02:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-08-02 22:05:55 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2013-04-26 07:46:04 UTC
Description of problem:
There's a tiny usability issue with pmchart's Time Controls. Consider the following scenario:

1 - user launches pmchart
2 - user opens Time Controls from Options -> Time Controls
3 - user wants Time Controls out of the way and closes the window from the window manager provided close button or from Time Controls' File -> Hide
4 - user wants to use Time Controls again but Options -> Time Controls is already checked so it needs to be unchecked and checked

It would be more natural to uncheck Options -> Time Controls regardless the way the window is being closed / hidden.

Version-Release number of selected component (if applicable):
pcp-3.6.10-2.el6.x86_64

Comment 1 Nathan Scott 2013-05-16 04:37:05 UTC
This is fixed upstream (git commit f23087e9ce2d897a51fbaa47c4cf67e74a3a9fd8 for my reference).

Comment 3 Nathan Scott 2013-07-26 00:27:18 UTC
Fixed upstream.

Comment 4 Fedora Update System 2013-07-28 08:36:37 UTC
pcp-gui-1.5.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc19

Comment 5 Fedora Update System 2013-07-28 08:50:27 UTC
pcp-gui-1.5.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc18

Comment 6 Fedora Update System 2013-07-28 08:51:40 UTC
pcp-gui-1.5.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc17

Comment 7 Fedora Update System 2013-07-28 08:52:41 UTC
pcp-gui-1.5.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.el6

Comment 8 Fedora Update System 2013-07-28 21:10:12 UTC
Package pcp-gui-1.5.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-gui-1.5.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11018/pcp-gui-1.5.9-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-08-02 22:05:55 UTC
pcp-gui-1.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-08-16 17:09:51 UTC
pcp-gui-1.5.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-09-15 10:24:56 UTC
pcp-gui-1.5.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.10-1.fc18

Comment 12 Fedora Update System 2013-11-01 05:20:23 UTC
pcp-gui-1.5.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.11-1.fc18

Comment 13 Fedora Update System 2013-11-11 02:37:29 UTC
pcp-gui-1.5.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.